docs

# SendLocation

data class SendLocation : SendMessageRequest < ContentMessage < LocationContent >> , ReplyingMarkupSendMessageRequest < ContentMessage < LocationContent >> , PositionedSendMessageRequest < ContentMessage < LocationContent >> , HorizontallyAccured, Livable, ProximityAlertable, Headed
Content copied to clipboard

## Functions

method
Link copied to clipboard
open override fun method (): String
Content copied to clipboard

## Properties

allowSendingWithoutReply
Link copied to clipboard
open override val allowSendingWithoutReply : Boolean ? = null
Content copied to clipboard
chatId
Link copied to clipboard
open override val chatId : ChatIdentifier
Content copied to clipboard
disableNotification
Link copied to clipboard
open override val disableNotification : Boolean = false
Content copied to clipboard
heading
Link copied to clipboard
open override val heading : Degrees ? = null
Content copied to clipboard
horizontalAccuracy
Link copied to clipboard
open override val horizontalAccuracy : Meters ? = null
Content copied to clipboard
latitude
Link copied to clipboard
open override val latitude : Double
Content copied to clipboard
livePeriod
Link copied to clipboard
open override val livePeriod : Seconds ? = null
Content copied to clipboard

Period in Seconds

longitude
Link copied to clipboard
open override val longitude : Double
Content copied to clipboard
protectContent
Link copied to clipboard
open override val protectContent : Boolean = false
Content copied to clipboard
proximityAlertRadius
Link copied to clipboard
open override val proximityAlertRadius : Meters ? = null
Content copied to clipboard
replyMarkup
Link copied to clipboard
open override val replyMarkup : KeyboardMarkup ? = null
Content copied to clipboard
replyToMessageId
Link copied to clipboard
open override val replyToMessageId : MessageIdentifier ? = null
Content copied to clipboard
requestSerializer
Link copied to clipboard
open override val requestSerializer : SerializationStrategy<*>
Content copied to clipboard
resultDeserializer
Link copied to clipboard
open override val resultDeserializer : DeserializationStrategy< ContentMessage < LocationContent >>
Content copied to clipboard